Bug 203720 - Problem with initializing resource agents
Summary: Problem with initializing resource agents
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-23 13:31 UTC by Marek Grac
Modified: 2009-04-16 20:20 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007:149
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 16:13:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (560 bytes, patch)
2006-08-28 13:30 UTC, Marek Grac
no flags Details | Diff

Description Marek Grac 2006-08-23 13:31:10 UTC
Description of problem:

clurgmgrd attempts to run every file in the /usr/share/cluster with meta-data
option. Problem is that if you have resource agents foo.sh and backup copy
foo.sh~ then clurgrmgrd attempts to start both of the files. It handle this
correctly (second is marked as duplicate and ignored) but I don't think this
should be standard behaviour. In some cases the backup copy is runned first and
'actual' version is ignored and marked as duplicate what can lead in
misunderstandings.

Version-Release number of selected component (if applicable):
rgmanager-1.9.52-0

How reproducible:
always

Steps to Reproduce:
1. copy /usr/share/cluster/smb.sh to smb.sh~
2. strace -e execve -f clurgmrd -fd
  
Actual results:
Attempt to run every file in the directory /usr/share/cluster

Expected results:
Run only executable files which do not end with ~ (perhaps hidden files should
not be runned too)

Additional info:

Comment 1 Marek Grac 2006-08-28 13:30:07 UTC
Created attachment 135049 [details]
Patch

Proposed patch, all backup copies (which ends with ~) are ignored by rgmanager

Comment 2 Lon Hohberger 2006-08-29 16:05:29 UTC
You can commit it; it looks fine.


Comment 3 Marek Grac 2006-08-31 12:06:18 UTC
Commited to CVS


Note You need to log in before you can comment on or make changes to this bug.